﻿using CallCenter.Settings;
using CallCenter.Tools;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Dependency;

namespace CallCenter.Repository.SqlSugar
{
    public class DaySettingRepository : BaseRepository<DaySetting>, IDaySettingRepository, IScopeDependency
    {
        public DaySettingRepository(ISugarUnitOfWork<CallCenterDbContext> uow) : base(uow)
        {
        }

        public bool IsWorkDay(IReadOnlyList<DaySetting> list, DateTime date)
        {
            var model = list.FirstOrDefault(x => x.Day.Date == date.Date);
            if (model!=null)
            {
                return model.IsWorkDay;
            }
            return WeekTool.IsWorkDay(date);
        }
    }
}
